%define name 	gds-utilities
%define version 2.19.1
%define release 1
%define daswg   /usr
%define prefix  %{daswg}
%define dmtrun 1
%if %{dmtrun}
%define _sysconfdir /etc
%define config_runflag --enable-dmt-runtime --sysconfdir=%{_sysconfdir}
%else
%define config_runflag --disable-dmt-runtime
%endif
%define withpygds 1
%if %{withpygds}
%define config_pygds --enable-python
%else
%define config_pygds --disable-python
%endif
%if %{?_verbose}%{!?_verbose:0}
# Verbose make output
%define _verbose_make 1
%else
%if 1%{?_verbose}
# Silent make output
%define _verbose_make 0
%else
# DEFAULT make output
%define _verbose_make 1
%endif
%endif

%define root_cling %(test "`root-config --has-cling`" != "yes"; echo $?)

Name: 		%{name}
Summary: 	gds-utilities 2.19.1
Version: 	%{version}
Release: 	%{release}%{?dist}
License: 	GPL
Group: 		LIGO Global Diagnotic Systems
Source: 	%{name}-%{version}.tar.gz
Packager: 	John Zweizig (john.zweizig@ligo.org)
BuildRoot: 	%{_tmppath}/%{name}-%{version}-root
URL: 		http://www.lsc-group.phys.uwm.edu/daswg/projects/dmt.html
BuildRequires: 	gcc gcc-c++ glibc automake autoconf libtool m4 make
BuildRequires:  gzip bzip2 libXpm-devel
BuildRequires:  ldas-tools-framecpp >= 2.5.8
BuildRequires:  ldas-tools-framecpp-devel >= 2.5.8
BuildRequires:  ldas-tools-al-devel
BuildRequires:  root hdf5-devel
BuildRequires:  readline-devel fftw-devel
BuildRequires:  jsoncpp-devel
BuildRequires:  gds-dmt-devel >= 2.19.2
BuildRequires:  gds-base-devel >= 2.19.2
BuildRequires:  gds-base >= 2.19.2
AutoReqProv: 	no
Prefix:		%prefix

%description
Global diagnostics software utilities

%package base
Summary: 	gds-utilities 2.19.1
Version: 	%{version}
Group: 		LSC Software/Data Analysis
Requires:  gds-dmt-base >= 2.19.2
Requires:  gds-base >= 2.19.2
Requires:  ldas-tools-framecpp

%description base
Global diagnostics software utilities

%package frameio
Summary: 	GDS package Frame I/O libraries based on 
Version: 	%{version}
Group: 		LSC Software/Data Analysis
Requires:       gds-base >= 2.19.2
Requires:       gds-base-lowlatency >= 2.19.2
Requires:       ldas-tools-framecpp

%description frameio
Frame I/O files libraries

%package root
Summary: 	Root wrappers for gds libraries
Version: 	%{version}
Group: 		LSC Software/Data Analysis
Requires:       gds-base-frameio >= 2.19.2
Requires:       gds-base-headers >= 2.19.2
Requires:       gds-base-crtools >= 2.19.2

%description root
Root wrappers for gds class libraries and macros/classes for inteactive use
of gds libraries via root.

%package monitors
Summary: 	DMT Monitor programs
Version: 	%{version}
Group: 		LSC Software/Data Analysis
Requires: gds-dmt-monitors >= 2.19.2
Requires: gds-dmt-base >= 2.19.2
Requires: gds-base-frameio >= 2.19.2
Requires: gds-services >= 2.19.2
Requires: jsoncpp-devel

%description monitors
GDS DMT monitor programs

%package runtime
Summary: 	DMT run-time software
Version: 	%{version}
Group: 		LSC Software/Data Analysis
Requires:       gds-monitors-base >= 2.19.2

%description runtime
DMT run-time supervisor and services

%package web
Summary: 	DMT web services
Version: 	%{version}
Group: 		LSC Software/Data Analysis
Requires:       gds-base >= 2.19.2

%description web
DMT web services

%prep
%setup -q

%build
PKG_CONFIG_PATH=%{daswg}/%{_lib}/pkgconfig
ROOTSYS=/usr

export PKG_CONFIG_PATH ROOTSYS
./configure  --prefix=%prefix --libdir=%{_libdir} \
	     --includedir=%{prefix}/include/gds \
	     --enable-online --enable-dtt %{config_pygds} %{config_runflag}
make V=%{_verbose_make}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
# don't distribute *.la files
[ ${RPM_BUILD_ROOT} != "/" ] && find ${RPM_BUILD_ROOT} -name "*.la" -type f -delete

%files

%files base
%defattr(-,root,root)
%{_bindir}/when
%{_prefix}/etc/gds-user-env.*

%files frameio
%defattr(-,root,root)
%{_bindir}/framecmp
%{_bindir}/FrameDump
%{_bindir}/frcompress
%{_bindir}/FrDir
%{_bindir}/FrTest
%{_bindir}/MergeTrends
%{_bindir}/NDS2Frame
%{_bindir}/SimList
%{_bindir}/trendtable
%{_bindir}/trender

%files root
%defattr(-,root,root)
%{_datadir}/gds/setup/root-setup

%files monitors
%defattr(-,root,root)
%{_bindir}/CheckDataValid
%{_bindir}/FrWrite
%{_bindir}/mkcalibfile
%{_bindir}/MatchTrig
%{_bindir}/seg_calc
%{_bindir}/tablepgm

%files runtime
%{_bindir}/AlarmOnHTML
%{_bindir}/confCompare
%{_bindir}/cpName
%{_bindir}/dmtstatus
%{_bindir}/dmt
%{_bindir}/dmt-mon_disable
%{_bindir}/dmt-mon_enable
%{_bindir}/dmt-mon_info
%{_bindir}/dmt-mon_restart
%{_bindir}/dmt-mon_status
%{_bindir}/dmt-scriplets
%{_bindir}/findProc
%{_bindir}/MonTrend
%{_bindir}/NameBackup
%{_bindir}/procmgt
%{_bindir}/procntrl
%{_bindir}/procsetup
%{_bindir}/prune.pl
%{_bindir}/PSD_PlotMaker
%{_bindir}/restart_history.sh
%{_bindir}/SPI.pl
%{_bindir}/USAGE.tcsh
%{_bindir}/waitProc
%{_bindir}/WatchDawg
%{_bindir}/WEEDER.tcsh
%{_datadir}/gds/Alarms
%{_datadir}/gds/PSD_PlotMaker
%{_datadir}/gds/Spi
%{_datadir}/gds/setup/addpath
%{_datadir}/gds/setup/addpathb
%{_datadir}/gds/setup/dmtsetup.csh
%{_datadir}/gds/setup/dmtsetup.sh
%{_datadir}/gds/setup/rempath
%{_datadir}/gds/setup/rempathb
%{_sysconfdir}/sysconfig/default-dmt-procmgt
%{_sysconfdir}/init.d/dmt-procmgt

%files web
%defattr(-,root,root)
%{_bindir}/GraphIt

%changelog
* Fri Nov 20 2020 Edward Maros <ed.maros@ligo.org> - 2.19.1-1
- Split lowlatency as a separate package
